### Method

# Gsk Path get_tight_bounds

since: 4.22

#### Declaration [src]

    gboolean
    gsk_path_get_tight_bounds (
      GskPath* self,
      graphene_rect_t* bounds
    )

#### Description [src]

Computes the tight bounds of the given path.

This function works harder than `gsk_path_get_bounds()` to produce the smallest possible bounds.

Available since: 4.22

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  Return location for the bounds.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

True if the path has bounds, false if the path is known to be empty and have no bounds.